autopodbor/urls.py
from django.conf.urls import url, include, handler403, handler404, handler500
from django.contrib import admin
from django.conf.urls.static import static, serve
from django.conf import settings
from django.views.generic import TemplateView
from lk.views import permission_denied, error404
from core.views import OsagoView, AutoHelpView, ServiceHelpView, CarCheckView, NewOrderEmailView, WriteToTheHead, admin_view
from autopodbor import utils
import environ

admin.site.admin_view = admin_view


env = environ.Env()

handler403 = permission_denied
handler404 = error404

urlpatterns = [
    url(r'^', include('lk.urls')),
    url(r'^admin/', include('custom_admin.urls', namespace="custom_admin")),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^accounts/', include('allauth.urls')),

    # aggregator/client_app
    url(r'^aggregator_api/', include('aggregator.urls')),
    url(r'^client_app_api/', include('client_app.urls')),
    url('api-auth/', include('rest_framework.urls', namespace='rest_framework')),

    url(r'^auto/', include('auto.urls')),
    url(r'^user/', include('core.urls')),
    url(r'^report/', include('report.urls')),
    url(r'^google_photo/', include('google_photo.urls')),
    url(r'^stat/', include('statistika.urls')),
    url(r'^notifications/', include('notifications.urls')),
    url(r'^message/', include('message.urls')),
    url(r'^developers/', TemplateView.as_view(template_name='developers.html')),
    url(r'^api/', include("integration.urls")),
    url(r'^osago/$', OsagoView.as_view(), name='osago'),
    url(r'^autohelp/$', AutoHelpView.as_view(), name='autohelp'),
    url(r'^servicehelp/$', ServiceHelpView.as_view(), name='servicehelp'),
    url(r'^carcheck/$', CarCheckView.as_view(), name='carcheck'),
    url(r'^new_order/$', NewOrderEmailView.as_view(), name='new_order'),
    url(r'^write_to_the_head/$', WriteToTheHead.as_view(), name='writetothehead'),
    url(r'^fail-payment/$',
        TemplateView.as_view(template_name='fail.html'), name='payment_fail'),
    url(r'^success-payment/$',
        TemplateView.as_view(template_name='success.html'), name='payment_success'),
    url(r'^media/(?P<path>.*)$', utils.serve, {'document_root': settings.MEDIA_ROOT}),
]
# ] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

if env('DOCKER', default=False):
    urlpatterns += url(r'^static/(?P<path>.*)$', serve,
                       {'document_root': settings.STATIC_ROOT}),

lk/urls.py
from django.conf.urls import url, include
from .views import *
from order.views import *
from core.api.views import order_to_issue

app_name = 'lk'

urlpatterns = [
    url(r'^$', lk, name='home'),
    url(r'^order/', include('order.urls')),
    url(r'^order/list_search/$', OrderListView.as_view(), name='list_search'),
    url(r'^order/list/$', OrderListSelectKeyView.as_view(), name='order_list'),
    url(r'^order/order_list_selection/$', OrderListSelectKeyView.as_view(), name='order_list_selection'),
    url(r'^order/order_list_outside_diagnose/$', OrderListOutsideDiagnose.as_view(), name='order_list_outside_diagnose'),
    url(r'^order/order_list_expert_day/$', OrderListExpertDayView.as_view(), name='order_list_expert_day'),
    url(r'^order/order_list_other/$', OrderListOtherView.as_view(), name='order_list_other'),
    url(r'^order/order_list_in_work/$', OrderListInWorkView.as_view(), name='order_list_in_work'),
    url(r'^order/order_list_closed/$', OrderListClosedView.as_view(), name='order_list_closed'),
    url(r'^order/detail/(?P<order_id>\d+)/$', OrderDetailView.as_view(), name='order_detail'),
    url(r'^order/edit/(?P<order_id>\d+)/$', OrderUpdateView.as_view(), name='order_edit'),
    url(r'^order/add/$', OrderCreateView.as_view(), name='order_add'),
    url(r'^order/delete/(?P<order_id>\d+)/$', order_delete, name='order_delete'),
    url(r'^order/close/(?P<order_id>\d+)/$', order_close, name='order_close'),
    url(r'^order/filter/$', get_order_filter, name='get_order_filter'),
    url(r'^order/stats/(?P<order_id>\d+)/$', get_order_stats, name='get_order_stats'),
    url(r'^order/podbor_list/(?P<order_id>\d+)/$', PPKListView.as_view(), name='ppk_list'),
    # url(r'^order/cars/(?P<order_id>\d+)/$', OrderAutoListView.as_view(), name='auto_list'),
    url(r'^order/report-list/(?P<order_id>\d+)/$', ReportListView.as_view(), name='report_list'),
    # url(r'^order/log/(?P<order_id>\d+)/$', LogListView.as_view(), name='order_log'),
    url(r'^order/add-comment/(?P<order_id>\d+)/$', add_comment, name='add_comment'),
    url(r'^order/add-auto/(?P<order_id>\d+)/$', order_set_auto, name='order_auto_add'),
    url(r'^order/add-auto-from-auto-ru/(?P<order_id>\d+)/$', add_auto_from_auto_ru, name='add_auto_from_auto_ru'),
    url(r'^order/cars-for-order/(?P<order_id>\d+)/$', CarsForOrder.as_view(), name='cars_for_order'),
    url(r'^order/delete-auto/(?P<order_id>\d+)/(?P<auto_id>\d+)/$', order_auto_delete, name='order_auto_delete'),
    url(r'^order/report-remove-order/(?P<report_id>\d+)/(?P<order_id>\d+)/$', report_remove_order, name='report_remove_order'),
    url(r'^order/change_auto_from/(?P<order_id>\d+)/$', change_auto_from, name='change_auto_from'),
    url(r'^podbor-add/(?P<order_id>\d+)/$', PpkCreateView.as_view(), name='podbor_add'),
    url(r'^podbor-copy/(?P<order_id>\d+)/(?P<ppk_id>\d+)/$', PpkCopyView.as_view(), name='podbor_copy'),
    url(r'^podbor-edit/(?P<ppk_id>\d+)/$', PpkEditView.as_view(), name='podbor_edit'),
    url(r'^podbor-delete/(?P<ppk_id>\d+)/$', podbor_delete, name='podbor_delete'),
    url(r'^search/$', GlobalSearch.as_view(), name='global_search'),
    url(r'^to_issue/$', order_to_issue, name='order_to_issue')
]

order/urls.py
from django.conf.urls import url
from order.api.views import (ApiOrderSelectionList, ApiOrderOutsideDiagnose, ApiOrderExpertday, ApiOrderOther,
                             ApiSetOrderExpert, ApiOrderFililList, ApiOrderTransferringOrd, send_order_to_recheck,
                             get_order_documents, change_order_criteria)

from order.views import get_order_done_popup_info

app_name = 'lk'

urlpatterns = [
    url(r'^api/selection/(?P<pk>\d+)/$',
        ApiOrderSelectionList.as_view(), name='selection_api'),
    url(r'^api/order_filial/(?P<pk>\d+)/$',
        ApiOrderFililList.as_view(), name='selection_api'),
    url(r'^api/outside_diagnose/(?P<pk>\d+)/$',
        ApiOrderOutsideDiagnose.as_view(), name='outside_diagnose_api'),
    url(r'^api/expert_day/(?P<pk>\d+)/$',
        ApiOrderExpertday.as_view(), name='expert_day_api'),
    url(r'^api/other/(?P<pk>\d+)/$', ApiOrderOther.as_view(), name='other_api'),
    url(r'^api/transferringord/(?P<pk>\d+)/$',
        ApiOrderTransferringOrd.as_view(), name='transferringord_api'),
    url(r'^api/set_expert/(?P<pk>\d+)/$',
        ApiSetOrderExpert.as_view(), name='set_expert'),
    url(r'^api/get_order_done_popup_info/$',
        get_order_done_popup_info, name='get_order_done_popup_info'),
    url(r'^api/send_order_to_recheck/$',
        send_order_to_recheck, name='send_order_to_recheck'),
    url(r'^api/change_order_criteria/$', change_order_criteria, name='change_order_criteria'),
    url(r'^api/order_documents/$',
        get_order_documents, name='get_order_documents'),
]

order/models.py
import logging
import json
import os
import telebot
from telebot import types
from django.contrib.sites.shortcuts import get_current_site
from django.db import connection

from celery.execute import send_task
from auto.glossary import *
import order.order_constants as order_const

from django.urls import reverse
from django.utils import timezone
from django.conf import settings
from django.contrib.auth import get_user_model
from django.db import models
from django.db.models import Q
from django.db.utils import IntegrityError
from safedelete import HARD_DELETE
from safedelete.models import SafeDeleteModel
from datetime import datetime
from dateutil.relativedelta import relativedelta


from auto.models import Auto
from auto.utils import get_choice_by_name
from core.models import User, Filial, Reviews, TelegramMessages
from core.utils import CustomFieldHistoryTracker

from notifications.models import Notification
from notifications.utils import send_notification

from lk.models import Statuses

logger = logging.getLogger(__name__)


class OrderExcepiton(Exception):
    pass


class Order(SafeDeleteModel):
    _safedelete_policy = HARD_DELETE

    SUBMIT_FROM = (
        ('LK', 'Заказ из лк'),
        ('CRM', 'Заказ из црм'),
    )
    save_from_bot = False

    report_id = 0

    transferring_id = 0
    is_read_by_client = models.BooleanField(
        'Прочитан клиентом после сдачи', default=True)
    status = models.PositiveSmallIntegerField(
        'Статус', blank=True, choices=order_const.STATUS, default=0)
    date_start = models.DateField(
        'Дата начала', default=timezone.now, blank=True)
    date_end = models.DateField('Дата сдачи', null=True, blank=True)
    number_buh = models.CharField(
        'Номер договора (Бух.)', max_length=50, unique=True, default='', blank=True, db_index=True)
    created = models.DateTimeField(
        'Дата создания', auto_now_add=True, db_index=True)
    modified = models.DateTimeField('Последнее изменение', auto_now=True)
    order_type = models.CharField('Тип заказа', max_length=3, blank=True,
                                  choices=order_const.ORDER_TYPE, default='PPK', db_index=True)
    submit_from = models.CharField('От куда заказ(лк, црм, ...)', max_length=3,
                                   blank=True, choices=SUBMIT_FROM, default='LK', db_index=True)
    operator = models.ManyToManyField(
        User, blank=True, default=None, verbose_name='Операторы', related_name="user_op")
    expert = models.ManyToManyField(
        User, blank=True, default=None, verbose_name='Эксперты', related_name="user_ex")
    expert_check = models.ManyToManyField(
        User, blank=True, default=None, verbose_name='Эксперты на перепроверке', related_name="user_ch")
    transferring = models.ManyToManyField(
        User, blank=True, default=None, verbose_name='Сдающие', related_name="user_sd")
    client = models.ForeignKey(User, blank=True, null=True,
                               default=None, verbose_name='Клиент', related_name="user_cl")
    status_closing = models.BooleanField('Заказ закрыт', default=False)
    status_closing_date = models.DateTimeField(
        'Заказ закрыт время', null=True, blank=True)
    auto_from_salon = models.BooleanField('Авто из салона', default=False)
    canceled = models.BooleanField('Заказ отменен', default=False)
    cost = models.PositiveIntegerField(
        'Стоимость', blank=True, null=True, default=None)
    paid = models.PositiveIntegerField('Оплачено', blank=True, default=0)
    with_client = models.BooleanField('В присутствии клиента', default=False)
    place_issuing = models.CharField(
        'Комментарий к заказу', max_length=300, blank=True, null=True, default=None)
    comment = models.CharField(
        'Комментарий к заказу', max_length=2000, blank=True, null=True, default=None)
    reason_refuse = models.CharField(
        'Причина отказа', max_length=2000, blank=True, null=True, default=None)
    cars = models.ManyToManyField(
        Auto, blank=True, default=None, verbose_name='Автомобили')
    reason_refuse = models.CharField(
        'Причина отказа', max_length=2000, blank=True, null=True, default=None)
    statuses = models.ManyToManyField(
        Statuses, blank=True, verbose_name='Статусы')
    filial = models.ForeignKey(Filial, blank=True, null=True, default=None,
                               verbose_name='Филиал', related_name="order_filial")
    notifications = models.ManyToManyField(
        Notification, blank=True, default=None, verbose_name='Оповещения', related_name="order_notifications")
    refund_amount = models.PositiveIntegerField('Сумма возврата', blank=True, null=True, default=None)
    expert_compensation = models.PositiveIntegerField('Компенсация эксперту', blank=True, null=True, default=None)
    review = models.ForeignKey(Reviews, blank=True, null=True, default=None,
                               verbose_name='Отзыв', related_name="order_review")
    date_of_inspection = models.DateTimeField(
        'Дата и время осмотра', blank=True, null=True)
    inspection_place = models.TextField(
        'Место осмотра', blank=True, null=True, default=None)
    link_url = models.TextField('Ссылка на объявление', null=True, blank=True, default=None)
    mark_model = models.TextField(
        'Марка и модель', blank=True, null=True, default=None)

    if settings.CUSTOM_FIELD_HISTORY:
        pass
    field_history = CustomFieldHistoryTracker(['number_buh', 'order_type', 'operator', 'expert', 'transferring',
                                               'client', 'canceled', 'status', 'status_closing', 'expert_check'])

    class Meta:
        verbose_name = "заказ"
        verbose_name_plural = "заказы"
        ordering = ["-created"]

    def get_last_document(self):
        all_doc = Document.objects.filter(order=self)
        list_doc = [all_doc.filter(doc_type=i).latest('id') for i in range(4) if all_doc.filter(doc_type=i)]
        return list_doc

    def get_last_report_id(self):
        row = {}
        with connection.cursor() as cursor:
            cursor.execute(
                "SELECT COUNT(id) FROM report_reportpodbor_order WHERE order_id = %s", [self.id])
            row['count'] = cursor.fetchone()[0]
            cursor.execute(
                "SELECT reportpodbor_id FROM report_reportpodbor_order WHERE order_id = %s", [self.id])
            row['ids'] = cursor.fetchone()
        return row

    def __str__(self):
        return "{}".format(self.id)

    def save(self, *args, **kwargs):




        statuses = [order_const.DONE, order_const.REFUSAL,
                    order_const.RETURN, order_const.RETDONE,
                    order_const.FAIL_CALL]
        if self.status_closing and self.status not in statuses:
            raise OrderExcepiton('message', 'статус')

        created = False if self.id else True
        status_changed_conditions = []
        telegram_data = {}
        message_text = {}
        status_paid_changed = False
        status_closing_changed = False
        status_changed = False
        amount = 0

        if created and self.order_type == 'PPK':
            self.date_end = self.date_start + relativedelta(months=2)

        # Создание логера интеграции по каждому заказу

        # integration_loger_order = logging.getLogger('integration_v2')
        #
        # if not os.path.exists('integration_loger/'):
        #     os.makedirs('integration_loger/')
        # f_handler = logging.FileHandler('integration_loger/integration_loger_order.log')
        # if not created:
        #     if not os.path.exists('integration_loger/' + str(self.id) + 'id/'):
        #         os.makedirs('integration_loger/' + str(self.id) + 'id/')
        #     f_handler = logging.FileHandler('integration_loger/' + str(self.id) + 'id/integration_loger_order.log')
        # f_handler.setLevel(logging.INFO)
        # f_format = logging.Formatter('%(asctime)s - %(module)s -%(filename)s - %(funcName)s - %(message)s')
        # f_handler.setFormatter(f_format)
        # integration_loger_order.addHandler(f_handler)
        # END Создание логера интеграции по каждому заказу

        # integration_loger_order.info('--- проверка на создание заказа ---')
        if not created:

            obj = Order.all_objects.get(id=self.id)

            if self.order_type == 'PPK' and obj.status == order_const.DONE and self.status == order_const.IN_WORK:
                self.date_end = self.date_start + relativedelta(months=2)
            status_changed_conditions = [
                self.status != obj.status,
                self.status_closing != self.status_closing,
                self.canceled != obj.canceled
            ]
            status_changed = self.status != obj.status
            status_paid_changed = self.paid and obj.paid and self.paid - obj.paid > 0 or \
                self.paid and self.paid > 0 and not obj.paid
            if status_paid_changed:
                prev_paid = obj.paid if obj.paid else 0
                amount = self.paid - prev_paid

            status_closing_changed = self.status_closing and obj.status_closing != self.status_closing

            if status_changed and self.status == order_const.DONE:
                self.is_read_by_client = False

            if status_changed and self.status != order_const.RECHECK and obj.status == order_const.RECHECK:
                self.reportpodbor_set.all().update(in_recheck=False)
        # integration_loger_order.info('---END проверка на создание заказа ---')
        if self.status_closing and status_closing_changed:
            self.status_closing_date = datetime.now()
        else:
            self.status_closing_date = None
        if status_changed and self.status == order_const.READY_RECIEVE and self.order_type == order_const.PPK:
            # статус изменен на готов к выдаче
            # тип заказа Подбор «под ключ»
            # integration_loger_order.info('---START Statuses.objects.get_or_create ---')

order/templates/order/executors.html
<script type="text/x-template" id="executor-template">
   <div class="order-edit-executors__item fieldset fieldset_executors">
     <div class="fieldset__item field">
       <div class="control control_default control_m">
         <select v-select2="newRole" v-model="role" name="new-executor-group">
           {% if form.operator %}
             <option value="{{ form.operator.name }}">оператор</option>
           {% endif %}
           {% if form.expert %}
             <option value="{{ form.expert.name }}">эксперт по подбору</option>
           {% endif %}
           {% if form.expert_check %}
             <option value="{{ form.expert_check.name }}">эксперт по перепроверке</option>
           {% endif %}
           {% if form.transferring %}
             <option value="{{ form.transferring.name }}">эксперт по сдаче</option>
           {% endif %}
         </select>
       </div>
     </div>
     <div class="fieldset__item field">
       <div class="control control_default control_m">
         <select :id="userlist" v-select2="newUser" v-model="user" name="new-executor-user">
           <!--<option value="TheID" selected="selected">The text</option>-->
           <!--<option v-if="initialUser" :value="initialUser.id" selected>${ initialUser.full_name }</option>-->
         </select>
       </div>
     </div>
     <div class="fieldset__item btn btn_default btn_m btn_square" @click="$emit('remove')">
       <div class="btn__icon icon icon_24">
         <svg>
           <use xlink:href="#icon_close_24"></use>
         </svg>
       </div>
     </div>
   </div>
  </script>

order/templates/order/executors_popup.html
<script type="text/x-template" id="executor-template">
<div class="popup_expert_wrapper">
	<div class="popup_expert__number_buh">
		<h4>Заказ № ${ order.number_buh }</h4>
		<h4>${ expert_type_name }</h4>
	
	</div>
	<div class="popup_expert__item fieldset fieldset_executors">
	 <div class="popup_expert__select fieldset__item field">
	   <div class="control control_default control_executor_popup">
	     <select :id="userlist" v-select2="newUser" v-model="user" name="new-executor-user">
	     </select>
	   </div>
	 </div>
	</div>
	<div class="popup_expert__ok">
		<button class="btn btn_m btn_primary" @click="closeModal(user)">Ok</button>
	</div>
</div>
</script>

order/templates/order/logs.html
<!-- OLD FUNCTIONS ! - should be removed later -->
<div class="event-log">
  <div v-for="log in objects" v-if="log.log_event" class="event-log__item">
    <div class="event-log__date">${ log.date_created }</div>
    <div class="event-log__user"><a  v-if="log.user" class="link link_title" :href="`/user/user_detail/${log.user.id}`">${ log.user ? log.user.full_name : '-' }</a></div>
    <div class="event-log__action">${ log.log_event }</div>
  </div>
  <div id="end"></div>
</div>

order/templates/order/order_detail_base_OLD.html
<!-- OLD FUNCTIONS ! - should be removed later -->
{% extends 'index.html' %}
{% load static %}

{% block title %}
  {% if field_perms.order.number_buh %} Заказ №{{ order.number_buh }} {% else %} - {% endif %}/ {% if field_perms.order.order_type %} {{ order.get_order_type_display }} {% else %} - {% endif %}
{% endblock title %}
{% block page %}
  <div class="order-detail">
    <div class="section section_default">
      <div class="section__content">
        <div id="order-detail-header" class="order-detail__header header header_controls">
          <div class="header__main">
            <h1>{% if field_perms.order.number_buh %} Заказ №{{ order.number_buh }} {% else %} - {% endif %}/ {% if field_perms.order.order_type %} {{ order.get_order_type_display }} {% else %} - {% endif %}</h1>
            <div class="order-detail__status">
              <h3 class="order-detail__date">{% if field_perms.order.date_start %} {{ order.date_start|default:'' }} {% endif %} — {% if field_perms.order.date_end %} {{ order.date_end|default:'' }} {% endif %}</h3>
              {% if field_perms.order.status and not order.status_closing %}
                <div class="status
                  {% if order.get_status_display == 'новый' %} status_new
                  {% elif order.get_status_display == 'в очереди' %} status_waiting
                  {% elif order.get_status_display == 'в работе' %} status_progress
                  {% elif order.get_status_display == 'отложен'%} status_paused
                  {% elif order.get_status_display == 'выполнен'%} status_done
                  {% elif order.get_status_display == 'выдан клиенту'%} status_to_client
                  {% elif order.get_status_display == 'перепроверен'%} status_recheck
                  {% elif order.get_status_display == 'готов к выдаче'%} status_ready_extradition
                  {% elif order.get_status_display == 'отказ'%} status_renunciation
                  {% endif %}">
                  {{ order.get_status_display }}
                </div>
              {% elif field_perms.order.status_closing and order.status_closing %}
                <div class="status status_closed">закрыт</div>
              {% endif %}
              {% if field_perms.order.canceled and order.canceled %}<div class="status status_cancelled">отменен</div>{% endif %}
              <div class="status status_done"> {{ order.get_status_pay }}</div>
            </div>
          </div>
          {% if perms.order.change_order or perms.order.delete_order %}
          <div class="header__controls">
            <div class="dropdown">
              <div class="dropdown__control" @click="openDropdown">
                <div class="btn btn_m btn_square btn_primary">
                  <div class="btn__icon icon icon_24">
                    <svg>
                      <use xlink:href="#icon_menu_24"></use>
                    </svg>
                  </div>
                </div>
              </div>
              <div class="dropdown__content">
                <div class="menu-controls">
                  {% if perms.order.change_order %}
                    <div class="menu-controls__item"><a class="menu-controls__link" href="{% url 'lk:order_edit' order.id %}">Редактировать</a></div>
                  {% endif %}
                  {% if perms.order.delete_order %}
                    <div class="menu-controls__item"><a class="menu-controls__link" @click="removeOrder({{ order.pk }})" style="cursor: pointer;">Удалить</a></div>
                  {% endif %}
                </div>
              </div>
            </div>
          </div>
          {% endif %}
        </div>
        <div id="order-detail-tabs" class="order-detail__tabs" v-cloak>
          <div class="tabs tabs_default">
            {% if perms.service.view_podborauto or request.user.is_expert%}
              {% url 'lk:order_detail' order.id as order_detail %}
              <div class="tabs__item {% if request.get_full_path == order_detail %} tabs__item_active {% endif %}">
                <a class="tabs__link link" href="{% url 'lk:order_detail' order.id %}">
                  <h4 class="tabs__title">О заказе</h4>
                </a>
              </div>
            {% endif %}
            {% if perms.service.view_podborauto %}
              {% url 'lk:ppk_list' order.id as ppk_list %}
              <div class="tabs__item {% if request.get_full_path == ppk_list %} tabs__item_active {% endif %}">
                <a class="tabs__link link" href="{% url 'lk:ppk_list' order.id %}">
                  <h4 class="tabs__title">Критерии<span class="tabs__count">${ ppkCount }</span></h4>
                </a>
              </div>
            {% endif %}
            {% if perms.auto.view_auto  or request.user.is_expert%}
              {% url 'lk:auto_list' order.id as auto_list %}
              <div class="tabs__item {% if request.get_full_path == auto_list %} tabs__item_active {% endif %}">
                <a class="tabs__link link" href="{% url 'lk:auto_list' order.id %}">
                  <h4 class="tabs__title">Проверенные авто<span class="tabs__count">${ carsCount }</span></h4>
                </a>
              </div>
            {% endif %}
            {% if perms.report.view_reportpodbor %}
              {% url 'lk:report_list' order.id as report_list %}
              <div class="tabs__item {% if request.get_full_path == report_list %} tabs__item_active {% endif %}">
                <a class="tabs__link link" href="{% url 'lk:report_list' order.id %}">
                  <h4 class="tabs__title">Отчеты<span class="tabs__count">${ reportsCount }</span></h4>
                </a>
              </div>
            {% endif %}
            {% if not request.user.is_client and not request.user.is_expert %}
              {% url 'lk:order_log' order.id as order_log %}
              <div class="tabs__item {% if request.get_full_path == order_log %} tabs__item_active {% endif %}">
                <a class="tabs__link link" href="{% url 'lk:order_log' order.id %}">
                  <h4 class="tabs__title">Лог событий<span class="tabs__count">${ logsCount }</span></h4>
                </a>
              </div>
            {% endif %}
          </div>
        </div>
        {% if action_button and action_button.name != "Добавить отчет" %}
          <a class="btn btn_s btn_primary btn_inline mb_m" href="{{ action_button.url }}">
            <div class="btn__title">{{ action_button.name }}</div>
          </a>
        {% endif %}
        {% block content %} {% endblock %}
      </div>
    </div>
  </div>
{% endblock %}


{% block not-compressed-js %}
  {{ block.super }}
  <script>
    var order_id = {{ order.id }};
  </script>
{% endblock %}

{% block script %}
  {{ block.super }}
  <script src="{% static 'assets/js/order/order-detail.js' %}"></script>
{% endblock %}

order/templates/order/order_documents.html
<div class="ord-detail__row">
    <div class="ord-detail__block ord-detail__block--popup " data-block-holder>

        <div class="ord-detail__block_head">
            <div class="ord-detail__block_head_left">
                <div class="ord-detail__block_icon">
                    <img src="/static/img/docs.svg" alt="">
                </div>
                <div class="ord-detail__block_title">Документы:</div>
            </div>
            <div class="ord-detail__block_head_right">
                <div class="ord-detail__block_button-show" @click="pressOnToggleBlockSection"></div>
                <div class="ord-detail__block_button-popup" @click="pressOnPopupBlockSection"></div>
            </div>
        </div>

        <div class="ord-detail__block_body" data-block-body>
        {% if not order.get_last_document %}
            <div class="ord-detail__block_body-empty">
                Документов на данный момент нет
            </div>
        {% endif %}
            <div class="ord-detail__block_show-mobile">
                <button class="ord-detail__block_button-back-popup btn btn_s btn_primary btn_inline mb_m "
                        @click="pressOnPopupBlockSection">< Назад
                </button>
                <div class="ord-detail__block_head">
                    <div class="ord-detail__block_head_left">
                        <div class="ord-detail__block_icon">
                            <img src="/static/img/docs.svg" alt="">
                        </div>
                        <div class="ord-detail__block_title">Документы:</div>
                    </div>
                </div>
            </div>
            <div class="doc-detail__block">
                {% for doc in order.get_last_document %}
                    <div class="ord-detail__block-text doc-link"> <img src="/static/img/doc.svg" alt="">
                        <a class="link link_title" target="_blank" href="{{ doc.file.url }}"><b>{{ doc.file_name_format }}</b></a>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
</div>

order/templates/order/order_log.html
<!-- OLD FUNCTIONS ! - should be removed later -->
{% extends 'order/order_detail_base.html' %}
{% load static %}


{% block content %}
  <div id="logs" class="box box_card" v-cloak>
    {% include 'order/logs.html' %}
  </div>
{% endblock %}

{% block script %}
  {{ block.super }}
  <script src="{% static 'assets/js/mixins/load-data.js' %}"></script>
  <script src="{% static 'assets/js/order/order-log.js' %}"></script>
{% endblock %}